### Virtual Method

# Goa Manager handle_add_account

#### Declaration [src]

    gboolean
    handle_add_account (
      GoaManager* object,
      GDBusMethodInvocation* invocation,
      const gchar* arg_provider,
      const gchar* arg_identity,
      const gchar* arg_presentation_identity,
      GVariant* arg_credentials,
      GVariant* arg_details
    )

#### Description [src]

Handler for the `GoaManager::handle-add-account` signal.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  No description available.

  The data is owned by the caller of the method.

`arg_provider`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_identity`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_presentation_identity`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_credentials`

  Type: `GVariant`

  No description available.

  The data is owned by the caller of the method.

`arg_details`

  Type: `GVariant`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

No description available.